using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    
   {
       if (!Page.IsPostBack)
       {
           Label1.Text = "User Id:" + Context.User.Identity.Name;
           Label2.Text = "Authentication Type:" + Context.User.Identity.AuthenticationType;
           System.Security.Principal.WindowsPrincipal principal = (System.Security.Principal.WindowsPrincipal) Context.User;
          //WebPartManager1.AddWebPart(new  BA.WebPartLibrary.WelComeWebPart(), LeftZone, 0);
        }
       Label3.Text = "Personalization Mode :" + WebPartManager1.Personalization.Scope.ToString();
     }
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        RadioButtonList radioButtonList = (RadioButtonList)sender;
        switch (radioButtonList.SelectedValue.ToString())
        {
            case "Design":
                WebPartManager1.DisplayMode = WebPartManager.DesignDisplayMode;
                break;
            case "Catalog":
                WebPartManager1.DisplayMode = WebPartManager.CatalogDisplayMode;
                break;
            case "Edit":
                WebPartManager1.DisplayMode = WebPartManager.EditDisplayMode;
                break;
            case "Connect":
                WebPartManager1.DisplayMode = WebPartManager.ConnectDisplayMode ;
                break;
            default:
                WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
                break; 
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
   if (WebPartManager1.Personalization.CanEnterSharedScope)
        {
            WebPartManager1.Personalization.ToggleScope();
          }
    }
    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {
        Response.Redirect("ListOfTasks.aspx?duedate=" + ((System.Web.UI.WebControls.Calendar)(sender)).SelectedDate.ToString());
    }
}
