using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class List_of_Tasks : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!Page.IsPostBack)
        {
            DateTime dueDate = Convert.ToDateTime(Request.QueryString["DueDate"]);
            TasksTable tkTable = new TasksTable();
            tkTable.DefaultView.RowFilter = "[Due Date] = '" + dueDate  + "'";
            GridView1.DataSource = tkTable;
            GridView1.DataBind();
       }
        

    }

    public class TasksTable : DataTable
    {
        public TasksTable()
        {
            Columns.Add("Task Name");
            Columns.Add("Due Date");
            //
            InitializeTasks();
        }

        public void InitializeTasks()
        {
            this.AddTask("ASP.NET 2.0 Web Parts Demo", DateTime.Today);
            this.AddTask("Get Feedback & Response to Questions", DateTime.Today);
            this.AddTask("Post Demo on Internet Site", DateTime.Today.AddDays(2));
        }

        public void AddTask(string TaskName , DateTime DueDate)
        {
            DataRow newdatarow = this.NewRow();
            newdatarow["Task Name"] = TaskName;
            newdatarow["Due Date"] = DueDate;
            this.Rows.Add(newdatarow);
                
        }
    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
}
